Skip to main content
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
transMemories
/
search
Search job's translation memories
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/transMemories/search \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "segment": "<string>",
  "workflowLevel": 8,
  "scoreThreshold": 0.505,
  "previousSegment": "<string>",
  "nextSegment": "<string>",
  "contextKey": "<string>",
  "maxSegments": 2,
  "maxSubSegments": 2,
  "tagMetadata": [
    {
      "id": "<string>",
      "type": "<string>",
      "content": "<string>",
      "transAttributes": "<string>"
    }
  ]
}
'
{
  "searchResults": [
    {
      "segmentId": "<string>",
      "source": {
        "id": "<string>",
        "text": "<string>",
        "lang": "<string>",
        "rtl": true,
        "modifiedAt": 123,
        "createdAt": 123,
        "modifiedBy": {
          "firstName": "<string>",
          "lastName": "<string>",
          "userName": "<string>",
          "email": "<string>",
          "role": "SYS_ADMIN",
          "id": "<string>",
          "uid": "<string>"
        },
        "createdBy": {
          "firstName": "<string>",
          "lastName": "<string>",
          "userName": "<string>",
          "email": "<string>",
          "role": "SYS_ADMIN",
          "id": "<string>",
          "uid": "<string>"
        },
        "filename": "<string>",
        "project": {
          "id": 123,
          "uid": "<string>",
          "name": "<string>"
        },
        "client": {
          "id": 123,
          "name": "<string>"
        },
        "domain": {
          "id": 123,
          "name": "<string>"
        },
        "subDomain": {
          "id": 123,
          "name": "<string>"
        },
        "tagMetadata": [
          {
            "id": "<string>",
            "type": "<string>",
            "content": "<string>",
            "transAttributes": "<string>"
          }
        ],
        "previousSegment": "<string>",
        "nextSegment": "<string>",
        "key": "<string>"
      },
      "translations": [
        {
          "id": "<string>",
          "text": "<string>",
          "lang": "<string>",
          "rtl": true,
          "modifiedAt": 123,
          "createdAt": 123,
          "modifiedBy": {
            "firstName": "<string>",
            "lastName": "<string>",
            "userName": "<string>",
            "email": "<string>",
            "role": "SYS_ADMIN",
            "id": "<string>",
            "uid": "<string>"
          },
          "createdBy": {
            "firstName": "<string>",
            "lastName": "<string>",
            "userName": "<string>",
            "email": "<string>",
            "role": "SYS_ADMIN",
            "id": "<string>",
            "uid": "<string>"
          },
          "filename": "<string>",
          "project": {
            "id": 123,
            "uid": "<string>",
            "name": "<string>"
          },
          "client": {
            "id": 123,
            "name": "<string>"
          },
          "domain": {
            "id": 123,
            "name": "<string>"
          },
          "subDomain": {
            "id": 123,
            "name": "<string>"
          },
          "tagMetadata": [
            {
              "id": "<string>",
              "type": "<string>",
              "content": "<string>",
              "transAttributes": "<string>"
            }
          ],
          "previousSegment": "<string>",
          "nextSegment": "<string>",
          "key": "<string>"
        }
      ],
      "transMemory": {
        "uid": "<string>",
        "id": "<string>",
        "name": "<string>",
        "reverse": true
      },
      "grossScore": 123,
      "score": 123,
      "subSegment": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required
jobUid
string
required

Body

application/json
segment
string
required
workflowLevel
integer<int32>
Required range: 1 <= x <= 15
scoreThreshold
number<double>
Required range: 0 < x < 1.01
previousSegment
string
nextSegment
string
contextKey
string
maxSegments
integer<int32>

Default: 5

Required range: 0 <= x <= 5
maxSubSegments
integer<int32>

Default: 5

Required range: 0 <= x <= 5
tagMetadata
object[]

Response

successful operation

searchResults
object[]